/**
 * Test case for apFormMixin.
 * Runs with mocha.
 */
'use strict'

import ApFormMixin from '../lib/ap_form_mixin'
import React from 'react'
import ReactDOM from 'react-dom/server'

const assert = require('assert')

describe('ap-form-mixin', function () {
  this.timeout(3000)

  before(() => {

  })

  after(() => {

  })

  it('Demo mixin', () => {
    const MockClass = React.createClass({
      mixins: [
        ApFormMixin
      ],
      render () {
        const s = this
        return React.createElement('div', {})
      },
      componentWillMount () {
        const s = this
        assert.ok(s.$apFormMixin, true)
      }
    })
    let elm = React.createElement(MockClass, {})
    let html = ReactDOM.renderToString(elm)
    assert.ok(html)
  })
})

/* global describe, before, after, it */
